summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2010-06-24 15:32:33 +0200
committerDan McGee <dan@archlinux.org>2010-06-24 15:32:33 +0200
commit630e7508ee44f2c41ba3f5d17c0c9ac15b15af3b (patch)
tree3b043d1a1d22e527e112c40a7d11130ef69f5727 /scripts/makepkg.sh.in
parent71330a431040377ae9a37989fcfd43cee7596194 (diff)
parent6f4f9c1b66ed859b3679d70e15c003ab4907b823 (diff)
downloadpacman-630e7508ee44f2c41ba3f5d17c0c9ac15b15af3b.tar.gz
pacman-630e7508ee44f2c41ba3f5d17c0c9ac15b15af3b.tar.xz
Merge branch 'maint'
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in10
1 files changed, 7 insertions, 3 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 71ad9415..cbc344de 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -382,11 +382,15 @@ run_pacman() {
}
check_deps() {
- (( $# > 0 )) || return
+ (( $# > 0 )) || return 0
+ # Disable error trap in pacman subshell call as this breaks bash-3.2 compatibility
+ # Also, a non-zero return value is not unexpected and we are manually dealing them
+ set +E
local ret=0
- pmout=$(run_pacman -T "$@")
- ret=$?
+ pmout=$(run_pacman -T "$@") || ret=$?
+ set -E
+
if (( ret == 127 )); then #unresolved deps
echo "$pmout"
elif (( ret )); then